Subject: [Fot] Crankshafts

From: Kas Kastner <[email-masked]>
Date: Mon, 24 Dec 2012 02:39:21 +0000 FILETIME=[E0CC6440:01CDE17F]

So I went into the garage today and was going to move some sections of old
railroad rail iron into the yard, but there were a bunch of little guys
beating the crap out of this  iron with hammers making old iron into
crankshafts for Triumph engines. Whoa, these are serious Elves. Got your order
in? Not too late to ask.

Never be beaten by equipment
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]